/***************************************************************************
                          artistdialog.cpp  -  description
                             -------------------
    begin                : Tue Apr 10 2001
    copyright            : (C) 2001 by Will DeRousse
    email                : badhack@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "artistdialog.h"

/**
 * Constructor
 * @param QWidget Parent
 * @param QString Caption
 * @param QString OK Button Text
 * @param bool Demise Mirrors Conception
 */
artistDialog::artistDialog(QWidget * parent, const QString & caption,
	const QString & okbutton, const bool & matchyears)
 : KDialogBase(Plain, caption, Ok | Cancel, Ok, parent, "artist", false, false)
{
	cerr << "artistDialog::initialize." << endl;
	QFrame *page = plainPage();
	setButtonText(Ok, okbutton);
	setButtonTip(Ok, i18n("Click here to add or update this artist."));
	artist = new artistWidget(page, spacingHint(), matchyears);
}
/**
 * Destructor
 */
artistDialog::~artistDialog()
{
}
/**
 * Reimplemented. Closes dialog without doing anything.
 */
void
artistDialog::slotCancel()
{
	delayedDestruct();
}
/** Reimplementation of slotOK().
 *
 * Makes sure that the values were entered.
 * Emits addArtist(artistInfo).
 */
void
artistDialog::slotOk()
{
	test.name = artist->getName();
	test.first = artist->getFirst();
	test.last = artist->getLast();
	test.notes = artist->getNotes();
	test.follow = artist->getFollow();
	test.aid = artist->getAid();
	test.homepage = artist->getHomepage();
	if (test.name.isEmpty())
	{
		KMessageBox::information(this, i18n("Title name can not be empty."),i18n("Title Name"));
		return;
	}
	if (test.first.isEmpty())
	{
		KMessageBox::information(this, i18n("Conception can not be empty."),i18n("First Year"));
		return;
	}
	if (test.last.isEmpty())
	{
		KMessageBox::information(this, i18n("Demise can not be empty."),i18n("Last Year"));
		return;
	}
	hide();
	emit addArtist(test);
	delayedDestruct();
}
/**
 * Returns a pointer to artistWidget.
 */
artistWidget *artistDialog::widget() const
{
	return artist;
}

#include "artistdialog.moc"
