/***************************************************************************
                          cddbsearchdialog.cpp  -  description
                             -------------------
    begin                : Wed Dec 11 2002
    copyright            : (C) 2002 by Will DeRousse
    email                : badhack@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "cddbsearchdialog.h"

/**
 * Constructor
 * @param QWidget Parent
 */
CDDBSearchDialog::CDDBSearchDialog(QWidget *parent) : KDialogBase(Plain, i18n("CDDB Search"), Ok | Cancel, Ok, parent, "cddbsearch", false, false)
{
	cerr << "CDDBSearchDialog::initialized" << endl;
	QFrame *page = plainPage();
	sw = new CDDBSearchWidget(page, spacingHint());
	enableButtonOK(FALSE);
	setButtonText(Ok, i18n("Search"));
	setButtonTip(Ok, i18n("Search CDDB"));
	connect(sw,SIGNAL(textChanged(const QString &)),this,SLOT(enableButtons(const QString &)));
}
/**
 * Destructor
 */
CDDBSearchDialog::~CDDBSearchDialog()
{
}
/** Reimplementation of slotOk().
 *
 * Button enables when values are filled in.
 * Emits search(QString, bool, bool).
 */
void CDDBSearchDialog::slotOk()
{
	hide();
	emit search(sw->getSearchText(),sw->getArtistChecked(),sw->getTitleChecked());
	delayedDestruct();
}
/**
 * Reimplemented. Closes dialog without doing anything.
 * Emits cancelled(bool).
 */
void CDDBSearchDialog::slotCancel()
{
	emit cancelled();
	delayedDestruct();
}
/**
 * Used to enable "Search" button.
 * @param QString Text From Search LineEdit
 */
void CDDBSearchDialog::enableButtons(const QString &t)
{
	enableButtonOK(!t.isEmpty());
}

#include "cddbsearchdialog.moc"
