/***************************************************************************
                          cddbsearchwidget.h  -  description
                             -------------------
    begin                : Wed Dec 11 2002
    copyright            : (C) 2002 by Will DeRousse
    email                : badhack@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CDDBSEARCHWIDGET_H
#define CDDBSEARCHWIDGET_H

#include "include.h"

/** Center widget for CDDBSearchDialog
 *
 *<pre>
 *QFrame *page=new QFrame();
 *CDDBSearchWidget *sw=new CDDBSearchWidget(this,spacing);
 *</pre>
 *@author Will DeRousse
 */

class CDDBSearchWidget : public QGridLayout
{
	Q_OBJECT
	public:
		/**
		 * Constructor
		 *
		 * @param QWidget Parent
		 * @param int Spacing
		 */
		CDDBSearchWidget(QWidget *, const int &);
		/**
		 * Destructor
		 */
		~CDDBSearchWidget();
		/**
		 * Returns "Artist" checked or not.
		 */
		bool getArtistChecked();
		/**
		 * Returns "Title" checked or not.
		 */
		bool getTitleChecked();
		/**
		 * Returns search text.
		 */
		QString getSearchText();
		/**
		 * Sets "Artist".
		 * @param bool TRUE Checked, FALSE Unchecked
		 */
		void setArtistChecked(const bool &);
		/**
		 * Sets "Title".
		 * @param bool TRUE Checked, FALSE Unchecked
		 */
		void setTitleChecked(const bool &);
		/**
		 * Sets Search Text
		 * @param QString Search Text
		 */
		void setSearchText(const QString &);
	signals:
		/**
		 * Emitted when the search text changes.
		 * @param QString New Search Text
		 */
		void textChanged(const QString &);
	private:
		QLineEdit *search;
		QCheckBox *artist, *title;

};


#endif

