/***************************************************************************
                          dbconnectdialog.cpp  -  description
                             -------------------
    begin                : Tue Mar 27 2001
    copyright            : (C) 2001 by Will DeRousse
    email                : badhack@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "dbconnectdialog.h"

/**
 * Constructor
 * @param QWidget Parent
 * @param QString Window Caption
 * @param QString OK Button Text
 */
dbConnectDialog::dbConnectDialog(QWidget *parent, const QString &caption, const QString &okbuttontext):
KDialogBase(Plain, caption, Ok | Cancel, Ok, parent, "newdb", true, false)
{
	cerr << "dbConnectDialog::initialized" << endl;
	QFrame *page = plainPage();
	setButtonText(Ok, okbuttontext);
	setButtonTip(Ok, i18n("Click here to create or open database."));
	center = new dbConnectWidget(page, spacingHint());
}

/**
 * Destructor
 */
dbConnectDialog::~dbConnectDialog()
{
}

/**
 * Returns pointer to dbConnectWidget.
 */
dbConnectWidget *dbConnectDialog::widget() const
{
	return center;
}
/**
 *Reimplementation of slotOK().
 */
void
dbConnectDialog::slotOk()
{
	cerr << "dbConnectDialog::db_name: " << center->getName() << endl;
	cerr << "dbConnectDialog::db_port: " << center->getPort() << endl;
	cerr << "dbConnectDialog::db_location: " << center->getLocation() << endl;
	cerr << "dbConnectDialog::db_user: " << center->getUser() << endl;

	if (center->getName().isEmpty())
	{
		KMessageBox::information(this, i18n("Database name can not be empty."), i18n("Database"));
		return;
	}
	if (center->getPort().isEmpty())
	{
		KMessageBox::information(this, i18n("Port can not be empty."), i18n("Port"));
		return;
	}
	if (center->getLocation().isEmpty())
	{
		KMessageBox::information(this, i18n("Location can not be empty.\n\nTry localhost."), i18n("Location"));
		return;
	}
	hide();
	accept();
}

#include "dbconnectdialog.moc"
