/***************************************************************************
                          dbconnectdialog.h  -  description
                             -------------------
    begin                : Tue Mar 27 2001
    copyright            : (C) 2001 by Will DeRousse
    email                : badhack@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DBCONNECTDIALOG_H
#define DBCONNECTDIALOG_H

#include "include.h"
#include "dbconnectwidget.h"
#include "kmusicdbvalidator.h"

/**This is the open/new dialog for databases.
 * Use it whenever you need to get database information from the user in a safe manner.
 *
 * @short New/Open database dialog
 * @author Will DeRousse
 *<pre>
 *dbConnectDialog *db=new dbConnectDialog(parent, caption, okbuttontext);
 *db->show();
 *</pre>
 */

class dbConnectDialog : public KDialogBase  {
	Q_OBJECT
	public:
		/**
		 * Constructor
		 * @param QWidget Parent
		 * @param QString Window Caption
		 * @param QString OK Button Text
		 */
		dbConnectDialog(QWidget *, const QString &, const QString &);
		/**
		 * Destructor
		 */
		~dbConnectDialog();
		/**
		 * Returns pointer to dbConnectWidget.
		 */
		dbConnectWidget *widget() const;
	public slots:
		/**
		 *Reimplementation of slotOk().
		 */
		void slotOk();
	private:
		dbConnectWidget *center;
};


#endif

