/***************************************************************************
                          htmlreport.h  -  description
                             -------------------
    begin                : Fri Jul 6 2001
    copyright            : (C) 2001 by Will DeRousse
    email                : badhack@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef HTMLREPORT_H
#define HTMLREPORT_H

#include "include.h"

/**
 *HTMLReport is a generic dialog capable of displaying any string file in the form of HTML.
 *
 *It contains a button for saving the string and a button for printing the string.
 *
 *Keep in mind however, that it does not format the string, it must already be actual HTML code.
 * @short Dialog that displays HTML data in a window
 * @author Will DeRousse
 */

class HTMLReport : public KDialogBase  {
	public:
		/**
		 * Constructor
		 * @param QWidget Parent
		 * @param QString Dialog Caption
		 * @param QString HTML String
		 */
		HTMLReport(QWidget *, const QString &, const QString &);
		/**
		 * Destructor
		 */
		~HTMLReport();
		void manualResize();
	protected slots:
		void resizeEvent (QResizeEvent *);
		/**
		 * Reimplementation of close button.
		 */
		void slotClose();
		/**
		 * Opens Printing dialog.
		 */
		void slotOk();
		/**
		 * Opens Save dialog.
		 */
		void slotUser1();
	private:
		KHTMLPart *htmlpart;
		KHTMLView *htmlwidget;
		QString localHTML;
};


#endif

