/***************************************************************************
                          kmusicdbfile.cpp  -  description
                             -------------------
    begin                : Sat Dec 29 2001
    copyright            : (C) 2001 by Will DeRousse
    email                : badhack@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmusicdbfile.h"

/**
 * Checks whether the file exists or not.
 *
 * Returns TRUE if it does, FALSE if not.
 * @param QString Path
 * @param QString File
 */
bool
checkFileExists(const QString &path, const QString &file)
{
	if (path.isEmpty() || file.isEmpty())
		return FALSE;
	QFileInfo *info = new QFileInfo(validateFilename(path + "/" + file));
	if (!info)
		exit(1);
	if (info->exists())
	{
		delete info;
		return TRUE;
	}
	else
	{
		delete info;
		return FALSE;
	}
}

/**
 * Counts the number of items in the subdirectory. Be sure to apply any filters FIRST before calling.
 *
 * Returns the number of items found.
 * @param QStringList List filled with directory information
 */
int
countSubFSItems(const QStringList &etphonehome)
{
	cerr << "Number of SubItems: " << etphonehome.count() << endl;
	return etphonehome.count();
}

