/***************************************************************************
                          lyricdialog.cpp  -  description
                             -------------------
    begin                : Sat Dec 7 2002
    copyright            : (C) 2002 by Will DeRousse
    email                : badhack@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "lyricdialog.h"

/**
 * @param QWidget Parent
 * @param QString Caption
 * @param QString Track ID
 */
lyricDialog::lyricDialog(QWidget *parent, const QString &caption, const QString &id) : KDialogBase(Plain, caption, Ok | Cancel, Ok, parent, "lyric", false, false){
	trackid=id;
	QFrame *page = plainPage();
	QGridLayout *layout=new QGridLayout(page, 1, 1, 0, spacingHint());
	lyrics = new QTextEdit(page);
	lyrics->setMinimumWidth(300);
	lyrics->setMinimumHeight(400);
	lyrics->setFocus();
	lyrics->setWordWrap(QTextEdit::WidgetWidth);
	layout->addWidget(lyrics, 0, 0);
	setButtonText(Ok, i18n("&Update"));
}

/**
 * Destructor
 */
lyricDialog::~lyricDialog(){
}

/**
 * Returns the QTextEdit.
 */
QTextEdit *lyricDialog::textEdit()
{
	return lyrics;
}

/**
 * Reimplemented. Closes dialog without doing anything.
 */
void lyricDialog::slotCancel()
{
	delayedDestruct();
}

/** Reimplementation of slotOk().
 *
 * Button Enables when values are filled in.
 * Emits updateLyric(QString).
 */
void lyricDialog::slotOk()
{
	hide();
	emit updateLyric(lyrics->text(), trackid);
	delayedDestruct();
}

#include "lyricdialog.moc"
