/***************************************************************************
                          lyricdialog.h  -  description
                             -------------------
    begin                : Sat Dec 7 2002
    copyright            : (C) 2002 by Will DeRousse
    email                : badhack@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef LYRICDIALOG_H
#define LYRICDIALOG_H

#include "include.h"

/** A simple lyric dialog containing a text window to view and edit the track lyrics, Update and Cancel buttons.
 *
 *<pre>
 *lyricDialog *ld=new lyricDialog(parent, lyrics);
 *ld->show();
 *</pre>
 * @author Will DeRousse
 */

class lyricDialog : public KDialogBase {
	Q_OBJECT
	public:
		/**
		 * Constructor
		 * @param QWidget Parent
		 * @param QString Caption
		 * @param QString Track ID
		 */
		lyricDialog(QWidget *, const QString &, const QString &);
		/**
		 * Destructor
		 */
		~lyricDialog();
		/**
		 * Returns the lyric QTextEdit.
		 */
		QTextEdit *textEdit();
	protected slots:
		/**
		 * Reimplemented. Closes dialog without doing anything.
		 */
		void slotCancel();
		/** Reimplementation of slotOk().
		 *
		 * Button enables when values are filled in.
		 * Emits updateLyric(QString).
		 */
		void slotOk();
	signals:
		/**
		 * Emits Lyrics.
		 * @param QString Lyrics
		 * @param QString Track ID
		 */
		void updateLyric(QString, QString);
	private:
		QTextEdit *lyrics;
		QString trackid;
};


#endif

