/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Thu Mar 22 14:01:50 /etc/localtime 2001
    copyright            : (C) 2001 by Will DeRousse
    email                : badhack@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmusicdb.h"

static const char *description = I18N_NOOP("A Music Collection Manager");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE

static KCmdLineOptions options[] = {
	// INSERT YOUR COMMANDLINE OPTIONS HERE
	{"d ", I18N_NOOP("database name"), "music"},
	{"h ", I18N_NOOP("host name"), "localhost"},
	{"p ", I18N_NOOP("port number"), "5432"},
	{"u ", I18N_NOOP("username"), 0},
	{"s ", I18N_NOOP("password"), 0},
	{"c", I18N_NOOP("connect to database"), 0},
	{"b", I18N_NOOP("backup database to file"), 0},
	{"r", I18N_NOOP("restore from file"), 0},
	{"t ", I18N_NOOP("run report with parameters stored in preferences:\nartist, collection, daterange, statistics, bte"), 0},
	{"f ", I18N_NOOP("filename, if needed."), 0},
	{0, 0, 0},
};

int
main(int argc, char *argv[])
{

	KAboutData aboutData(PACKAGE, I18N_NOOP(PACKAGE),
		VERSION, description, KAboutData::License_GPL,
		I18N_NOOP("(c) 2001-2006, Will DeRousse"), 0, 0,
		I18N_NOOP("badhack@users.sourceforge.net"));
	aboutData.addAuthor("Will DeRousse", 0, "badhack@users.sourceforge.net");
	KCmdLineArgs::init(argc, argv, &aboutData);
	KCmdLineArgs::addCmdLineOptions(options); // Add our own options.

	KApplication kapplication;

	if (kapplication.isRestored())
		RESTORE(kmusicdb(PACKAGE))
	else
	{
		kmusicdb *app = new kmusicdb(PACKAGE, KCmdLineArgs::parsedArgs());
		if (!app)
			exit(1);
		kapplication.setMainWidget(app);
	}

	return kapplication.exec();
}

