/***************************************************************************
                          musiccombobox.h  -  description
                             -------------------
    begin                : Thu Apr 12 2001
    copyright            : (C) 2001 by Will DeRousse
    email                : badhack@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MUSICCOMBOBOX_H
#define MUSICCOMBOBOX_H

#include "include.h"
#include "kmusicdbvalidator.h"

//class completeArtistDrag : public QDragObject
//{
//    Q_OBJECT
//public:
//    completeArtistDrag( QWidget *, const completeArtist &, const char* name = 0 );
//
//    const char *format( int ) const;
//    QByteArray encodedData( const char * ) const;
//    static bool canDecode( QMimeSource * );
//    static bool decode( QDropEvent*, completeArtist & );
//    void encode(const completeArtist &);
//
//private:
//    completeArtist info;
//
//};


/**This is the artist KCombobox for musicArtistTitle. It has special signals and attributes
 *to handle graying and clicking.
 *
 * @author Will DeRousse
 * @short KComboBox with special attributes..
 */

class musicComboBox : public KComboBox  {
	Q_OBJECT
	public:
		/**
		 * Constructor
		 * @param QWidget Parent
		 */
		musicComboBox(QWidget *);
		/**
		 * Destructor
		 */
		~musicComboBox();
	protected slots:
		/**
		 * Emits a signal when focus is gained.
		 * @param QFocusEvent Focus Event Data
		 */
		void focusInEvent(QFocusEvent *);
		/**
		 * Emits a signal when focus is lost.
		 * @param QFocusEvent Focus Event Data
		 */
		void focusOutEvent(QFocusEvent*);
		/**
		 * Re-Implements the mouse event and emits a signal when it is right clicked.
		 * @param QMouseEvent Mouse Movement Event Data
		 */
		void mouseReleaseEvent(QMouseEvent *);
	signals:
		/** Gain/lose focus signal.
		 * @param bool TRUE focus gained, FALSE focus lost
		 */
		void imFocused(bool);
		/**
		 * Right clicked signal.
		 */
		void rightClicked();
	private slots:
		/**
		 * Handles focusing for keyboard events.
		 * If empty emit imFocused(TRUE), else imFocused(FALSE).
		 * @param QString Keyboard Text
		 */
		void handleKeyEvents(const QString &);
};


#endif

