/***************************************************************************
                          picdialog.cpp  -  description
                             -------------------
    begin                : Thu May 3 2001
    copyright            : (C) 2001 by Will DeRousse
    email                : badhack@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "picdialog.h"

/**
 * Constructor
 * @param QWidget Parent
 * @param KURL Path To Image
 * @param QString Caption Name
 */
picDialog::picDialog(QWidget *parent, const KURL &z, const QString &caption):
KDialogBase(Plain, i18n("%1's Picture").arg(caption), Close | User1 | User2, Close, parent, "pic", false, true, i18n("C&hange"), i18n("&Save As"))
{
	cerr << "titleDialog opened." << endl;
	QSize sz(260, height() - 30);
	setInitialSize(sz);
	setButtonTip(User1, i18n("Browse for a new image"));
	setButtonTip(User2, i18n("Save image to disk"));
	QFrame *page = plainPage();
	QBoxLayout *layout = new QBoxLayout(page, QBoxLayout::TopToBottom);

	picw = new picWidget(page, z);
	layout->addWidget(picw);
}

/**
 * Destructor
 */
picDialog::~picDialog()
{
}

/**
 * Convenience function for returning pointer to picwidget.
 */
picWidget *picDialog::widget() const
{
	return picw;
}
/**
 * Slot for closing dialog.
 */
void
picDialog::slotClose()
{
	hide();
}

/** Slot for browsing for a new image. */
void
picDialog::slotUser1()
{
	KURL rurl = KFileDialog::getOpenURL(0, KImageIO::pattern(), this, i18n("Choose A New Picture"));
	if (rurl.path() == NULL)
		return;
	picw->setImage(rurl);
}

/**
 * Slot for saving image.
 */
void
picDialog::slotUser2()
{
	KURL rurl = KFileDialog::getSaveURL(0, i18n("PNG-Pictures"), this, i18n("Save Picture"));
	if (rurl.path() == NULL)
		return;
	picw->saveImage(rurl);
}

#include "picdialog.moc"
