/***************************************************************************
                          picdialog.h  -  description
                             -------------------
    begin                : Thu May 3 2001
    copyright            : (C) 2001 by Will DeRousse
    email                : badhack@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PICDIALOG_H
#define PICDIALOG_H

#include "include.h"
#include "picwidget.h"

/** This is the picture dialog box. It contains the picture in the middle, the title of the album in the caption,
 * and buttons for browsing for new image, saving image, and closing dialog.
 * @short Displays a picture and ability to change, close or save.
 * @author Will DeRousse
 *<pre>
 *picDialog *w=new picDialog(this,"/home/kmusicdb/test.jpg","album_name");
 *w->show();
 *</pre>
 */

class picDialog : public KDialogBase  {
	Q_OBJECT
	public:
		/**
		 * Constructor
		 * @param QWidget Parent
		 * @param KURL Path To Image
		 * @param QString Caption Name
		 */
		picDialog(QWidget *, const KURL &, const QString &);
		/**
		 * Destructor
		 */
		~picDialog();
		/**
		 * Convenience function for returning pointer to picwidget.
		 */
		picWidget *widget() const;
	protected slots:
		/**
		 * Slot for closing dialog.
		 */
		void slotClose();
		/**
		 * Slot for browsing for a new image.
		 */
		void slotUser1();
		/**
		 * Slot for saving image.
		 */
		void slotUser2();
	private:
		picWidget *picw;
};


#endif

