/***************************************************************************
                          picwidget.cpp  -  description
                             -------------------
    begin                : Fri May 4 2001
    copyright            : (C) 2001 by Will DeRousse
    email                : badhack@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "picwidget.h"

/**
 * Constructor
 * @param QWidget Parent
 * @param KURL Path To Image
 */
picWidget::picWidget(QWidget *parent, const KURL &a):
QWidget(parent)
{
	cerr << "picWidget::initialized" << endl;
	cerr << "picWidget::imagepath: " << a.path() << endl;
	pic = new QPixmap(PICWIDTH, PICHEIGHT);
	pic->fill(Qt::white);
	setImage(a);
}
/**
 * Destructor
 */
picWidget::~picWidget()
{
}
/**
 * Gets image path.
 */
KURL picWidget::getImage() const
{
	return kmurl;
}
/**
 * Reimplemented slot.
 * @param paintEvent Screen Paint Event Data
 */
void
picWidget::paintEvent(QPaintEvent *)
{
	if (pic && this)
	{
		QPainter
		qpainter(this);
		qpainter.drawPixmap(0, 0, *pic);
	}
}
/**
 * Saves the pic to the path in the url.
 * @param KURL Path To Image
 */
void picWidget::saveImage(const KURL &z) const
{
	pic->save(z.path(), i18n("PNG"));
}
/**
 * Sets image to new path.
 * @param KURL URL to new pic location
 */
void
picWidget::setImage(const KURL & z)
{
	cerr << "picWidget::setImage: " << z.path() << endl;
	if (!z.isLocalFile())
		KMessageBox::error(this,i18n("Image must be on the local computer."),i18n("Setting New Pic..."));
	pic->load(z.path());
	kmurl=z;
}

